WhitespaceConversions (JiBX Java data binding to XML - Version 1.2.3)
Keywords: org.jibx.runtime.WhitespaceConversions class

Overview | Package | Class | Deprecated
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jibx.runtime
Class WhitespaceConversions

    java.lang.Object
      org.jibx.runtime.WhitespaceConversions

    public final class WhitespaceConversions

extends java.lang.Object

Utilities for handling whitespace options.

Author:
  Dennis M. Sosnoski

Method Summary
`static java.lang.String` | `collapse(java.lang.String text)` Collapse whitespace in string.
`static java.lang.String` | `replace(java.lang.String text)` Replace non-space whitespace in string.
`static java.lang.String` | `trim(java.lang.String text)` Trim leading and trailing whitespace in string.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### replace

    public static java.lang.String replace(java.lang.String text)

  Replace non-space whitespace in string. This first scans to see if any non-space whitespace is present, and if so, invokes the actual conversion handling.

  Parameters:
    `text` - value to be converted (`null` if none)
  Returns:
    replaced string value (`null` if none)

### collapse

    public static java.lang.String collapse(java.lang.String text)

  Collapse whitespace in string. This first scans to see if any whitespace is present, and if so, invokes the actual conversion handling.

  Parameters:
    `text` - value to be converted (`null` if none)
  Returns:
    collapsed string value (`null` if none)

### trim

    public static java.lang.String trim(java.lang.String text)

  Trim leading and trailing whitespace in string.

  Parameters:
    `text` - value to be converted (`null` if none)
  Returns:
    trimmed string value (`null` if none)

Overview | Package | Class | Deprecated
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project Web Site |